summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh9
1 files changed, 3 insertions, 6 deletions
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index 6e9cd5b..9055c2f 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -79,14 +79,11 @@ test -z "${SKIP_EXTRACT}" && {
}
# Download git sources
-# test -z "${SKIP_GIT}" && (
- # yes, use a sub-shell because of this cd. pushd is a bash builtin, but we are using sh and not bash.
- # cd "${git_source_dir}"
- git clone "${librewolf_source_url}" ${git_source_dir}/source || : ; ( cd "${git_source_dir}/source" ; git checkout main ; git pull ; )
+test -z "${SKIP_GIT}" && {
+ git clone "${librewolf_source_url}" ${git_source_dir}/source || : ; ( cd "${git_source_dir}/source" ; git checkout "${librewolf_version}" ; git pull ; )
git clone "${librewolf_settings_url}" ${git_source_dir}/settings || : ; ( cd "${git_source_dir}/settings" ; git checkout master ; git pull ; )
git clone "${librewolf_linux_url}" ${git_source_dir}/linux || : ; ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; git checkout "v${librewolf_version}" ; )
-
-# )
+}
#####################################
# Script 1 tasks
bgstack15